import QtQuick 1.1

Item {
    id: root
    property bool keysAccepted: false
    width: 500
    height: 380
    Text {
        id: deviceConnectedText
        width: 450
        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
        text: bluetoothAdapter.connected ? (bluetoothAdapter.currentConnectedDevice.name + " " + qsTr("Connected") + application.emptyString) : ""
        font { pixelSize: 36; family: "arial"; bold: true }
        horizontalAlignment: Text.AlignHCenter
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 40
    }
    Item {
        id: bt_playScreenInstructions
        visible: main.isTft && root.keysAccepted
        width: 480
        height: 190
        anchors.centerIn: parent
        anchors.verticalCenterOffset: 20
        Text {
            id: bt_text_p1
            visible: bluetoothAdapter.connected && bluetoothAdapter.currentConnectedDevice.isPlaying
            text: qsTr("use") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            scale: bt_text_p3.scale
        }
        Item {
            id: bt_text_p2
            visible: bluetoothAdapter.connected && bluetoothAdapter.currentConnectedDevice.isPlaying
            width: 145
            height: 32
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p1.bottom
            anchors.topMargin: 15
            Image {
                id: rewImage2
                source: "../graphics/tft/REW_icon.png"
                anchors.left: parent.left
            }
            Image {
                id: fwdImage2
                source: "../graphics/tft/FWD_icon.png"
                anchors.right: parent.right
            }
        }
        Text {
            id: bt_text_p3
            visible: bluetoothAdapter.connected && bluetoothAdapter.currentConnectedDevice.isPlaying
            text: qsTr("to advance or replay.") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p2.bottom
            anchors.topMargin: 15
            scale: width > parent.width ? parent.width / width : 1.0
        }
        Item {
            id: bt_pausedText
            visible: !(bluetoothAdapter.connected && bluetoothAdapter.currentConnectedDevice.isPlaying)
            width: 480
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            Text {
                id: bt_paused1
                text: qsTr("press") + application.emptyString
                font { pixelSize: 28; family: "arial"; bold: true }
                anchors { horizontalCenter: parent.horizontalCenter; top: parent.top }
                scale: bt_paused3.scale
            }
            Text {
                id: bt_paused2
                text: qsTr("ENTER") + application.emptyString
                font { pixelSize: 28; family: "arial"; bold: true }
                anchors { horizontalCenter: parent.horizontalCenter; top: bt_paused1.bottom; topMargin: 15 }
                scale: bt_paused3.scale
            }
            Text {
                id: bt_paused3
                text: qsTr("to resume playing.") + application.emptyString
                font { pixelSize: 28; family: "arial"; bold: true }
                anchors { horizontalCenter: parent.horizontalCenter; top: bt_paused2.bottom; topMargin: 15 }
                scale: width > parent.width ? parent.width / width : 1.0
            }
        }
        Item {
            id: bt_text_p4
            width: 182
            height: 50
            anchors.left: bt_image_p5.left
            anchors.leftMargin: -5
            anchors.top: bt_text_p3.bottom
            anchors.topMargin: 15
        }
        Image {
            id: bt_image_p5
            source: "../graphics/tft/vol-up-down_icons.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: bt_text_p4.bottom
            anchors.topMargin: 15
        }
    }
}
